Create a new presentation preset.
curl --request POST \
--url https://test.didxtech.com/me-creds/api/v1/presets/presentations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "basic-identity-request",
"templateName": "Basic Identity Request",
"templateDescription": "Standard request for basic identity information",
"templateCredentials": [
{
"format": "sd-jwt-vc",
"name": "Basic Identity Credential",
"description": "A credential containing basic identity information",
"type": "https://didx.co.za/vct/didx/basic-identity",
"attributes": {
"firstName": {
"type": "string"
},
"lastName": {
"type": "string"
}
},
"trustedIssuers": [
{
"kind": "did",
"did": "did:web:issuer.example.com",
"name": "Example Identity Issuer"
}
]
},
{
"format": "mdoc",
"name": "Mobile Driving Licence",
"description": "ISO 18013-5 mDL credential",
"type": "org.iso.18013.5.1.mDL",
"trustedIssuers": [],
"attributes": {
"org.iso.18013.5.1": {
"properties": {
"given_name": {
"intentToRetain": false
},
"family_name": {
"intentToRetain": false
}
}
}
}
}
]
}
'import requests
url = "https://test.didxtech.com/me-creds/api/v1/presets/presentations"
payload = {
"code": "basic-identity-request",
"templateName": "Basic Identity Request",
"templateDescription": "Standard request for basic identity information",
"templateCredentials": [
{
"format": "sd-jwt-vc",
"name": "Basic Identity Credential",
"description": "A credential containing basic identity information",
"type": "https://didx.co.za/vct/didx/basic-identity",
"attributes": {
"firstName": { "type": "string" },
"lastName": { "type": "string" }
},
"trustedIssuers": [
{
"kind": "did",
"did": "did:web:issuer.example.com",
"name": "Example Identity Issuer"
}
]
},
{
"format": "mdoc",
"name": "Mobile Driving Licence",
"description": "ISO 18013-5 mDL credential",
"type": "org.iso.18013.5.1.mDL",
"trustedIssuers": [],
"attributes": { "org.iso.18013.5.1": { "properties": {
"given_name": { "intentToRetain": False },
"family_name": { "intentToRetain": False }
} } }
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: 'basic-identity-request',
templateName: 'Basic Identity Request',
templateDescription: 'Standard request for basic identity information',
templateCredentials: [
{
format: 'sd-jwt-vc',
name: 'Basic Identity Credential',
description: 'A credential containing basic identity information',
type: 'https://didx.co.za/vct/didx/basic-identity',
attributes: {firstName: {type: 'string'}, lastName: {type: 'string'}},
trustedIssuers: [
{
kind: 'did',
did: 'did:web:issuer.example.com',
name: 'Example Identity Issuer'
}
]
},
{
format: 'mdoc',
name: 'Mobile Driving Licence',
description: 'ISO 18013-5 mDL credential',
type: 'org.iso.18013.5.1.mDL',
trustedIssuers: [],
attributes: {
'org.iso.18013.5.1': {
properties: {given_name: {intentToRetain: false}, family_name: {intentToRetain: false}}
}
}
}
]
})
};
fetch('https://test.didxtech.com/me-creds/api/v1/presets/presentations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "didx:basic-identity-request",
"author": "didx",
"code": "basic-identity-request",
"templateName": "Basic Identity Request",
"templateDescription": "Standard request for basic identity information",
"templateCredentials": [
{
"format": "sd-jwt-vc",
"name": "Basic Identity Credential",
"description": "A credential containing basic identity information",
"type": "https://didx.co.za/vct/didx/basic-identity",
"attributes": {
"firstName": {
"type": "string"
},
"lastName": {
"type": "string"
}
},
"trustedIssuers": [
{
"kind": "did",
"did": "did:web:issuer.example.com",
"name": "Example Identity Issuer"
}
]
},
{
"format": "mdoc",
"name": "Mobile Driving Licence",
"description": "ISO 18013-5 mDL credential",
"type": "org.iso.18013.5.1.mDL",
"trustedIssuers": [],
"attributes": {
"org.iso.18013.5.1": {
"properties": {
"given_name": {
"intentToRetain": false
},
"family_name": {
"intentToRetain": false
}
}
}
}
}
],
"verifierConfig": {
"signer": "did:web"
},
"namespace": "public",
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z"
},
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Presentation Presets API
Create a new presentation preset (v1)
POST
/
v1
/
presets
/
presentations
Create a new presentation preset.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Created presentation preset.
Show child attributes
Show child attributes
Example:
{
"id": "didx:basic-identity-request",
"author": "didx",
"code": "basic-identity-request",
"templateName": "Basic Identity Request",
"templateDescription": "Standard request for basic identity information",
"templateCredentials": [
{
"format": "sd-jwt-vc",
"name": "Basic Identity Credential",
"description": "A credential containing basic identity information",
"type": "https://didx.co.za/vct/didx/basic-identity",
"attributes": {
"firstName": { "type": "string" },
"lastName": { "type": "string" }
},
"trustedIssuers": [
{
"kind": "did",
"did": "did:web:issuer.example.com",
"name": "Example Identity Issuer"
}
]
},
{
"format": "mdoc",
"name": "Mobile Driving Licence",
"description": "ISO 18013-5 mDL credential",
"type": "org.iso.18013.5.1.mDL",
"trustedIssuers": [],
"attributes": {
"org.iso.18013.5.1": {
"properties": {
"given_name": { "intentToRetain": false },
"family_name": { "intentToRetain": false }
}
}
}
}
],
"verifierConfig": { "signer": "did:web" },
"namespace": "public",
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z"
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

